Method: billingAccounts.billingAccountLicenseConfigs.distributeLicenseConfig

מפיץ LicenseConfig מרמת החשבון לחיוב לרמת הפרויקט.

בקשת HTTP


POST https://discoveryengine.googleapis.com/v1alpha/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:distributeLicenseConfig

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
billingAccountLicenseConfig

string

חובה. שם המשאב המלא של BillingAccountLicenseConfig.

פורמט: billingAccounts/{billingAccount}/billingAccountLicenseConfigs/{billingAccountLicenseConfigId}

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "projectNumber": string,
  "location": string,
  "licenseCount": string,
  "licenseConfigId": string
}
שדות
projectNumber

string (int64 format)

חובה. מספר פרויקט היעד ב-GCP שאליו יופץ קובץ ההגדרות של הרישיון.

location

string

חובה. אזור היעד בפרויקט GCP להפצת הגדרות הרישיון.

licenseCount

string (int64 format)

חובה. מספר הרישיונות להפצה.

licenseConfigId

string

זה שינוי אופציונלי. הקצאת מושבים להגדרת הרישיון הזו במקום ליצור הגדרת רישיון חדשה. אם לא מציינים את ההגדרה, המערכת יוצרת הגדרת רישיון חדשה מתוך הגדרת הרישיון של חשבון החיוב.

גוף התשובה

הודעת תגובה לשיטה LicenseConfigService.DistributeLicenseConfig.

אם הפעולה מצליחה, גוף התגובה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "licenseConfig": {
    object (LicenseConfig)
  }
}
שדות
licenseConfig

object (LicenseConfig)

‫LicenseConfig המעודכן או שנוצר.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב billingAccountLicenseConfig:

  • discoveryengine.billingAccountLicenseConfigs.distribute

מידע נוסף מופיע במאמרי העזרה בנושא IAM.